1. 🏦 Accounts
Multigate
  • 🚀 Getting Started
  • 🔓 Authentication
    • Get Token
    • Refresh Token
    • Logout User
    • Reset Password
    • Get Current User Info
  • 👋 Onboarding
    • Create Subclient
    • Get All Subclients
    • Get Subclient
    • Update Subclient
    • Create Subclient Shareholder
    • Get Subclient Shareholders
    • Update Subclient Shareholder
    • Upload Subclient Documents
    • Get Subclient Documents
    • Delete Subclient
    • Submit Subclient
  • 🏦 Accounts
    • 📄 Statements
      • V2
        • Get statement by account entity Id
        • Download statement by account entity Id
      • Get Statement
      • Download statement
    • Create Virtual Account
      POST
    • Get Account
      GET
    • Get Accounts By
      GET
    • Get All Accounts
      GET
    • Simulate Inflow (UAT only)
      POST
  • 🔃 Conversions
    • Get Quote
    • Lock Rate
    • Get Trade
    • Get All Trades
  • 💸 Payments
    • 🏦 Banks
      • Get Bank Details
    • 👤 Beneficiaries
      • Create Beneficiary
      • Get All Beneficiaries
      • Get Beneficiary
      • Update Beneficiary
      • Validate Beneficiary Account (NGN only)
    • Create Single Transfer
    • Get Purpose Codes
    • Find Transfers
  • 🔔 Webhooks / Push Notifications
    • Add a New Client Configuration
    • Update Client Configuration Current Mode
    • Get Client Configuration
  • 📲 Remittance
    • Initiate Remittance
    • Get Remittance
  • 📥 Receivables
    • Create Receivable
    • Get Receivable
  1. 🏦 Accounts

Create Virtual Account

POST
/client-service/api/v1/accounts
Create a new virtual account.

Request

Body Params application/json

Example
{
    "onBehalfOf": null,
    "currencyIso3Code": "NGN",
    "accountName": "ABC Limited",
    "uniqueRequestId": "24d564a9-f45a-44d2-9b31-340bdb8d92a1",
    "email": "not_email@email.com",
    "partnerCodes": [
        "214",
        "057"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-gateway-uat.mmacs.io/platform/client-service/api/v1/accounts' \
--header 'Content-Type: application/json' \
--data-raw '{
    "onBehalfOf": null,
    "currencyIso3Code": "NGN",
    "accountName": "ABC Limited",
    "uniqueRequestId": "24d564a9-f45a-44d2-9b31-340bdb8d92a1",
    "email": "not_email@email.com",
    "partnerCodes": [
        "214",
        "057"
    ]
}'

Responses

🟢200OK
application/json
success response
Bodyapplication/json

Examples
{
    "message": "account created",
    "account": {
        "accountId": "2WCK3respo6qoTOtF76iH",
        "clientId": "ZnEzkE9tIQE_tOdPZ5i_Q",
        "uniqueRequestId": "9ef5e9f5-6e1f-49c7-821d-3ae6286c48b9",
        "currencyIso3Code": "NGN",
        "accountName": "Liveness Check Dec 16 API",
        "status": "active",
        "accountType": "wallet",
        "fundingDetails": [
            {
                "accountName": "Multigate Test Buyer",
                "bankOrSortCode": "214",
                "bic": "FCMBNGLA",
                "accountNumber": "8700002499",
                "bankCountry": "NGA",
                "bankName": "FCMB",
                "bankAddress": "Primrose Tower, 17A, Tinubu Street, Marina, Lagos",
                "countryIso3Code": "NGA"
            },
            {
                "accountName": "Multigate Test Buyer",
                "bankOrSortCode": "057",
                "bic": "ZEIBNGLA",
                "accountNumber": "1285507215",
                "bankCountry": "NGA",
                "bankName": "Zenith Bank Plc",
                "bankAddress": "Plot 84/87, Ajose Adeogun Street, Victoria Island, Lagos, Nigeria",
                "countryIso3Code": "NGA"
            }
        ]
    }
}
🟠400Bad Request
🟠401Unauthorized
Modified at 2026-05-29 06:02:04
Previous
Download statement
Next
Get Account
Built with